BimpHelp

Refunds from suppliers: Bimp API methods

Bimp API methods for the “Refunds from suppliers” resource (/org2/refundFromSupplier/…): 4 methods. Base URL: https://app.bimpsoft.com. All requests except login pass the company token in the access-token header — see Getting started with the API.

MethodWhat it does
POST /org2/refundFromSupplier/api-readA request to obtain detailed information for a refund from supplier document
POST /org2/refundFromSupplier/api-createA request to create a refund from supplier document
POST /org2/refundFromSupplier/api-updateA request to update a refund from supplier document
POST /org2/refundFromSupplier/api-cancelArchive a refund from supplier document

api-read

POST /org2/refundFromSupplier/api-read

A request to obtain detailed information for a refund from supplier document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a refund from supplier document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a refund from supplier document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstring
namestring
commentstringAn optional text field for any additional notes or comments related to the document
counterpartystring (uuid)A unique uuid key for a supplier
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
statusstring (uuid)A unique uuid key for a document status
authorstring (uuid)A unique uuid key for a document author
currencystring (uuid)A unique uuid key for a currency
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
projectstring (uuid) | null
documentSumnumberTotal amount of the refund document
paymentDetailsobject[]Payment breakdown by supplier order
paymentDetails[].invoiceForSupplierPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].refundSumnumberRefund amount for this supplier order
paymentDetails[].documentTypenumberLinked document type id (defaults to invoice for supplier payment)
paymentDetails[].hasPaymentbooleanWhether the linked document has a payment
curl -X POST 'https://app.bimpsoft.com/org2/refundFromSupplier/api-read' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-create

POST /org2/refundFromSupplier/api-create

A request to create a refund from supplier document

Request body (JSON)

FieldTypeRequiredDescription
counterpartystring (uuid)yesA unique uuid key for a supplier
organizationstring (uuid)yesA unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)yesThe unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
authorstring (uuid)yesA unique uuid key for a document author
expenseItemstring (uuid)yesA unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
paymentDetailsobject[]yesPayment breakdown by supplier order
paymentDetails[].invoiceForSupplierPaymentstring (uuid)yesA unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].refundSumnumberyesRefund amount for this supplier order
paymentDetails[].documentTypenumberLinked document type id (defaults to invoice for supplier payment)
paymentDetails[].hasPaymentbooleanWhether the linked document has a payment
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
namestring
statusstring (uuid)A unique uuid key for a document status
projectstring (uuid) | null
commentstringAn optional text field for any additional notes or comments related to the document
documentSumnumberTotal amount of the refund document

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a refund from supplier document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstring
namestring
commentstringAn optional text field for any additional notes or comments related to the document
counterpartystring (uuid)A unique uuid key for a supplier
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
statusstring (uuid)A unique uuid key for a document status
authorstring (uuid)A unique uuid key for a document author
currencystring (uuid)A unique uuid key for a currency
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
projectstring (uuid) | null
documentSumnumberTotal amount of the refund document
paymentDetailsobject[]Payment breakdown by supplier order
paymentDetails[].invoiceForSupplierPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].refundSumnumberRefund amount for this supplier order
paymentDetails[].documentTypenumberLinked document type id (defaults to invoice for supplier payment)
paymentDetails[].hasPaymentbooleanWhether the linked document has a payment
curl -X POST 'https://app.bimpsoft.com/org2/refundFromSupplier/api-create' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"counterparty":"00000000-0000-0000-0000-000000000000","organization":"00000000-0000-0000-0000-000000000000","paymentEntity":"00000000-0000-0000-0000-000000000000","author":"00000000-0000-0000-0000-000000000000","expenseItem":"00000000-0000-0000-0000-000000000000","paymentDetails":[{}]}'

api-update

POST /org2/refundFromSupplier/api-update

A request to update a refund from supplier document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a refund from supplier document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
namestring
statusstring (uuid)A unique uuid key for a document status
expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
counterpartystring (uuid)A unique uuid key for a supplier
projectstring (uuid) | null
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
authorstring (uuid)A unique uuid key for a document author
commentstringAn optional text field for any additional notes or comments related to the document
documentSumnumberTotal amount of the refund document
paymentDetailsobject[]Payment breakdown by supplier order
paymentDetails[].invoiceForSupplierPaymentstring (uuid)yesA unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].refundSumnumberyesRefund amount for this supplier order
paymentDetails[].documentTypenumberLinked document type id (defaults to invoice for supplier payment)
paymentDetails[].hasPaymentbooleanWhether the linked document has a payment

Response: data field

FieldTypeDescription
uuidstring (uuid)A unique uuid key for a refund from supplier document
datestringThe document’s date in the format ‘YYYY-MM-DDTHH:MM:SS’ (e.g., ‘2025-05-16T09:17:49’)
numberstring
namestring
commentstringAn optional text field for any additional notes or comments related to the document
counterpartystring (uuid)A unique uuid key for a supplier
organizationstring (uuid)A unique identifier for the Organization, obtainable from the /organization/api-readList request
statusstring (uuid)A unique uuid key for a document status
authorstring (uuid)A unique uuid key for a document author
currencystring (uuid)A unique uuid key for a currency
paymentEntitystring (uuid)The unique identifier for the payment entity type, obtainable from the /bankAccounts/api-readList request OR from /cashRegistry/api-readList request
expenseItemstring (uuid)A unique identifier for the Expense Item, obtainable from the /expenseItems/api-readList request
projectstring (uuid) | null
documentSumnumberTotal amount of the refund document
paymentDetailsobject[]Payment breakdown by supplier order
paymentDetails[].invoiceForSupplierPaymentstring (uuid)A unique identifier for the Invoice for customer payment, obtainable from the /invoiceForSupplierPayment/api-readList request
paymentDetails[].refundSumnumberRefund amount for this supplier order
paymentDetails[].documentTypenumberLinked document type id (defaults to invoice for supplier payment)
paymentDetails[].hasPaymentbooleanWhether the linked document has a payment
curl -X POST 'https://app.bimpsoft.com/org2/refundFromSupplier/api-update' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

api-cancel

POST /org2/refundFromSupplier/api-cancel

Archive a refund from supplier document

Request body (JSON)

FieldTypeRequiredDescription
uuidstring (uuid)yesA unique uuid key for a refund from supplier document

Response: data field

FieldTypeDescription
successboolean (true)
curl -X POST 'https://app.bimpsoft.com/org2/refundFromSupplier/api-cancel' \
  -H 'access-token: <company token>' \
  -H 'Content-Type: application/json' \
  -d '{"uuid":"00000000-0000-0000-0000-000000000000"}'

Interactive documentation with a test request option: https://app.bimpsoft.com/docs. The OpenAPI specification is updated together with Bimp; this page is generated from it automatically.